package com.flyfish.framework.r2dbc;

import com.flyfish.framework.query.Queries;
import com.flyfish.framework.r2dbc.config.R2dbcDataConfig;
import com.flyfish.framework.r2dbc.config.annotations.EnableR2dbcRepo;
import com.flyfish.framework.r2dbc.repository.TestDO;
import com.flyfish.framework.r2dbc.repository.TestQO;
import com.flyfish.framework.r2dbc.repository.TestRepository;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Import;
import org.springframework.test.context.junit.jupiter.SpringExtension;

import javax.annotation.Resource;
import java.util.Arrays;

@ExtendWith(SpringExtension.class)
@SpringBootTest(classes = R2DbcRepositoryTest.class)
@EnableR2dbcRepo(basePackages = "com.flyfish.framework.r2dbc.repository")
@Import(R2dbcDataConfig.class)
public class R2DbcRepositoryTest {

    @Resource
    private TestRepository testRepository;

    @Test
    public void test() {
        TestQO qo = new TestQO();
        qo.setIds(Arrays.asList("1", "2"));
        testRepository.findAll(qo).subscribe(System.out::println);
    }
}
